#!/usr/bin/env python3

from sys import argv, stdin, exit

assert len(argv)==3, 'correct usage: {} {{j1.out,j2.out}} contestants_output'.format(argv[0])

our_output = []
his_output = []

try:
    # Reading our output...
    with open(argv[1], 'r') as f:
        our_output = f.read().split()

    # Reading contestant's output...
    with open(argv[2], 'r') as f:
        his_output = f.read().split()

    assert len(our_output) == len(his_output), "Incorrect number of words."

    wrong = 0
    for i in range(len(our_output)):
        if our_output[i] != his_output[i]: wrong += 1

    if wrong == 0:
        print("OK")
    else:
        print("{0} programs were classified correctly.".format(len(our_output) - wrong))
        exit(1)

except AssertionError as error_message:
    print(error_message)
    exit(1)
